xiaoairen322的个人博客分享 http://blog.sciencenet.cn/u/xiaoairen322

博文

关于G-NUT/Anubis 绘图的一些补充

已有 667 次阅读 2021-3-4 16:20 |个人分类:G-NUT/ANUBIS|系统分类:科研笔记

    G-NUT/Anubis 2.3发布已经很长时间了,但是绘图程序没有更新,对北斗3的支持 ,免费版本还是望问莫及。自从《北斗分析 众神之战》发布以后,经常有一些师弟,师妹及同行涉及到一些绘图程序无法正确绘图,本人就一下问题作出解答:

1,绘图库的安装及依赖低层库的安装问题:

   依赖低层库 可按照https://www.pecny.cz/sw/plots/anubis/00PLOT_ANUBIS 官方文档给出的安装方式  安装即可,本人是通过

  sudo apt-get install  libchart-gnuplot-perl

   绘图程序 可按照https://www.pecny.cz/sw/plots/anubis/ 给出的最后一个版本进行下载  将其解压放到相应的文件夹中即可 随即可测试绘图程序命令

2,遇到报错  no  anubis  excetion 

  解决办法:这是anubis版本生成的xtr 与最终版本的绘图程序版本冲突所造成的,由于anubis版本已为2.3,而绘图程序对应的版本为2.2,即将xtr中对应anubis版本号更改为2.2.4。

image.png

3,如若遇到绘图无法输出

问题如下:

convert-im6.q16: not authorized `/tmp/QKkb5pXMyD/plot.tmp' @ error/constitute.c/ReadImage/412.

convert-im6.q16: no images defined `/tmp/QKkb5pXMyD/plot.tmp.png' @ error/convert.c/ConvertImageCommand/3258.

可参见超哥科学网博客 :http://blog.sciencenet.cn/blog-858128-1229676.html 解决问题。



https://wap.sciencenet.cn/blog-3387053-1275003.html

上一篇:关于geopandas 与 contextily 安装冲突的解决方法
下一篇:track 遇到运行报错 segmentation fault

0

该博文允许注册用户评论 请点击登录 评论 (2 个评论)

数据加载中...

Archiver|手机版|科学网 ( 京ICP备07017567号-12 )

GMT+8, 2021-5-11 20:47

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部